<?php
function ennova_genearl_setting( $wp_customize ) {
	$wp_customize->add_panel(
		'ennova_general', array(
			'priority' => 31,
			'title' => esc_html__( 'General', 'ennova' ),
		)
	);

    /*=========================================
    Header
    =========================================*/ 
    $wp_customize->add_section(
        'ennova_header',
        array(
            'priority'      => 1,
            'title'         => __('Header','ennova'),
            'panel'         => 'ennova_general',
        )
    );



     $wp_customize->add_setting( 'ennova_header_layout',
            array(
                'default' => 'header-default-layout',
                'sanitize_callback' => 'ennova_radio_sanitization'
            )
        );
        $wp_customize->add_control( new Ennova_Image_Radio_Button_Custom_Control( $wp_customize, 'ennova_header_layout',
            array(
                'label' => __( 'Header', 'ennova' ),
                'section' => 'ennova_header',
                'choices' => array(
                    'header-default-layout' => array(
                        'image' => trailingslashit( get_template_directory_uri() ) . 'images/header-default.png',
                        'name' => __( 'Header Default', 'ennova' )
                    ),
                    'header-trans-layout' => array(
                        'image' => trailingslashit( get_template_directory_uri() ) . 'images/header-tra.png',
                        'name' => __( 'Header Transparent', 'ennova' )
                    ),
                )
            )
        ) );
	
	/*=========================================
	Colors
	=========================================*/ 
	$wp_customize->add_section(
        'colors',
        array(
        	'priority'      => 2,
            'title' 		=> __('Colors','ennova'),
			'panel'  		=> 'ennova_general',
		)
    );


    $wp_customize->add_setting(
        'text_color_setting',
        array(
            'default'    => '#595959',
            'sanitize_callback' => 'sanitize_hex_color',
            'capability' => 'edit_theme_options',
        )
    );
 
    // Alpha Color Picker control.
    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'text_color_setting',
            array(
                'label'        => __( 'Text Color', 'ennova' ),
                'section'      => 'colors',
                'settings'     => 'text_color_setting',
                'show_opacity' => true, // Optional.
            )
        )
    );


    $wp_customize->add_setting(
        'theme_color_setting',
        array(
            'default'    => '#1e73be',
            'sanitize_callback' => 'sanitize_hex_color',
            'capability' => 'edit_theme_options',
        )
    );
 
    // Alpha Color Picker control.
    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'theme_color_setting',
            array(
                'label'        => __( 'Theme Color', 'ennova' ),
                'section'      => 'colors',
                'settings'     => 'theme_color_setting',
            )
        )
    );


    $wp_customize->add_setting(
        'theme_link_color_setting',
        array(
            'default'    => '#1e73be',
            'sanitize_callback' => 'sanitize_hex_color',
            'capability' => 'edit_theme_options',
        )
    );
 
    // Alpha Color Picker control.
    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'theme_link_color_setting',
            array(
                'label'        => __( 'Link Color', 'ennova' ),
                'section'      => 'colors',
                'settings'     => 'theme_link_color_setting',
                'show_opacity' => true, // Optional.
            )
        )
    );


    $wp_customize->add_setting(
        'theme_link_hover_color_setting',
        array(
            'default'    => '#3a3a3a',
            'capability' => 'edit_theme_options',
            'sanitize_callback' => 'sanitize_hex_color',
        )
    );
 
    // Alpha Color Picker control.
    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'theme_link_hover_color_setting',
            array(
                'label'        => __( 'Link Hover Color', 'ennova' ),
                'section'      => 'colors',
                'settings'     => 'theme_link_hover_color_setting',
                'show_opacity' => true, // Optional.
            )
        )
    );

    /*=========================================
	Container Layout
	=========================================*/


    $wp_customize->add_section(
        'container_layout',
        array(
        	'priority'      => 3,
            'title' 		=> __('Container','ennova'),
			'panel'  		=> 'ennova_general',
		)
    );


    $wp_customize->add_setting( 
        'ennova_container_width',
        array(
            'default' => 1600,
            'sanitize_callback' => 'ennova_sanitize_number_range',
    )
    );


    $wp_customize->add_control( new Ennova_Customizer_Range_Value_Control( $wp_customize, 'ennova_container_width', array(
    'type'     => 'range-value',
    'section'  => 'container_layout',
    'settings' => 'ennova_container_width',
    'label'    => __( 'Width','ennova' ),
    'input_attrs' => array(
        'min'    => 1,
        'max'    => 1900,
        'step'   => 1,
        'suffix' => 'px', //optional suffix
    ),
    ) ) );

    /*=========================================
	Sidebar Layout
	=========================================*/

    $wp_customize->add_section(
        'post_layout',
        array(
        	'priority'      => 4,
            'title' 		=> __('Sidebar Layout','ennova'),
			'panel'  		=> 'ennova_general',
		)
    );


    // Test of Image Radio Button Custom Control
        $wp_customize->add_setting( 'ennova_content_layout',
            array(
                'default' => 'align-content-right',
                'sanitize_callback' => 'ennova_radio_sanitization'
            )
        );
        $wp_customize->add_control( new Ennova_Image_Radio_Button_Custom_Control( $wp_customize, 'ennova_content_layout',
            array(
                'label' => __( 'Blog/Archive', 'ennova' ),
                'section' => 'post_layout',
                'choices' => array(
                    'align-content-left' => array(
                        'image' => trailingslashit( get_template_directory_uri() ) . 'images/sidebar-left.png',
                        'name' => __( 'Left Sidebar', 'ennova' )
                    ),
                    'full-width-content' => array(
                        'image' => trailingslashit( get_template_directory_uri() ) . 'images/sidebar-none.png',
                        'name' => __( 'No Sidebar', 'ennova' )
                    ),
                    'align-content-right' => array(
                        'image' => trailingslashit( get_template_directory_uri() ) . 'images/sidebar-right.png',
                        'name' => __( 'Right Sidebar', 'ennova' )
                    )
                )
            )
        ) );



        $wp_customize->add_setting( 'ennova_single_content_layout',
            array(
                'default' => 'single-align-content-right',
                'sanitize_callback' => 'ennova_radio_sanitization'
            )
        );
        $wp_customize->add_control( new Ennova_Image_Radio_Button_Custom_Control( $wp_customize, 'ennova_single_content_layout',
            array(
                'label' => __( 'Single Post', 'ennova' ),
                'section' => 'post_layout',
                'choices' => array(
                    'single-align-content-left' => array(
                        'image' => trailingslashit( get_template_directory_uri() ) . 'images/sidebar-left.png',
                        'name' => __( 'Left Sidebar', 'ennova' )
                    ),
                    'single-full-width-content' => array(
                        'image' => trailingslashit( get_template_directory_uri() ) . 'images/sidebar-none.png',
                        'name' => __( 'No Sidebar', 'ennova' )
                    ),
                    'single-align-content-right' => array(
                        'image' => trailingslashit( get_template_directory_uri() ) . 'images/sidebar-right.png',
                        'name' => __( 'Right Sidebar', 'ennova' )
                    )
                )
            )
        ) );





        $wp_customize->add_setting( 'ennova_page_content_layout',
            array(
                'default' => 'page-align-content-right',
                'sanitize_callback' => 'ennova_radio_sanitization'
            )
        );
        $wp_customize->add_control( new Ennova_Image_Radio_Button_Custom_Control( $wp_customize, 'ennova_page_content_layout',
            array(
                'label' => __( 'Page', 'ennova' ),
                'section' => 'post_layout',
                'choices' => array(
                    'page-align-content-left' => array(
                        'image' => trailingslashit( get_template_directory_uri() ) . 'images/sidebar-left.png',
                        'name' => __( 'Left Sidebar', 'ennova' )
                    ),
                    'page-full-width-content' => array(
                        'image' => trailingslashit( get_template_directory_uri() ) . 'images/sidebar-none.png',
                        'name' => __( 'No Sidebar', 'ennova' )
                    ),
                    'page-align-content-right' => array(
                        'image' => trailingslashit( get_template_directory_uri() ) . 'images/sidebar-right.png',
                        'name' => __( 'Right Sidebar', 'ennova' )
                    )
                )
            )
        ) );






         






        

    /*=========================================
	Post Layout
	=========================================*/

    $wp_customize->add_section(
        'footer_settings',
        array(
        	'priority'      => 4,
            'title' 		=> __('Footer','ennova'),
			'panel'  		=> 'ennova_general',
		)
    );
}

add_action( 'customize_register', 'ennova_genearl_setting' );




/**
     * Radio Button and Select sanitization
     *
     * @param  string       Radio Button value
     * @return integer  Sanitized value
     */
    if ( ! function_exists( 'ennova_radio_sanitization' ) ) {
        function ennova_radio_sanitization( $input, $setting ) {
            //get the list of possible radio box or select options
         $choices = $setting->manager->get_control( $setting->id )->choices;

            if ( array_key_exists( $input, $choices ) ) {
                return $input;
            } else {
                return $setting->default;
            }
        }
    }


     if (!function_exists('ennova_sanitize_number_range')) :

        /**
         * Sanitize number range.
         *
         * @since 1.0.0
         *
         * @see absint() https://developer.wordpress.org/reference/functions/absint/
         *
         * @param int  $input Number to check within the numeric range defined by the setting.
         * @param WP_Customize_Setting $setting WP_Customize_Setting instance.
         * @return int|string The number, if it is zero or greater and falls within the defined range; otherwise, the setting default.
         */
        function ennova_sanitize_number_range($input, $setting) {

            // Ensure input is an absolute integer.
            $input = absint($input);

            // Get the input attributes associated with the setting.
            $atts = $setting->manager->get_control($setting->id)->input_attrs;

            // Get min.
            $min = ( isset($atts['min']) ? $atts['min'] : $input );

            // Get max.
            $max = ( isset($atts['max']) ? $atts['max'] : $input );

            // Get Step.
            $step = ( isset($atts['step']) ? $atts['step'] : 1 );

            // If the input is within the valid range, return it; otherwise, return the default.
            return ( $min <= $input && $input <= $max && is_int($input / $step) ? $input : $setting->default );
        }

    endif;
