<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @package ennova
 */
get_header();
?>
<div class="trhspace"></div>
 <main id="content" >
    <!--container--> 
    <div class="container ennova-container">
      <!--row--> 
      <div class="row">
        <?php $ennova_content_layout = esc_attr(get_theme_mod('ennova_content_layout','align-content-right'));
                    if($ennova_content_layout == "align-content-left") 
                    { ?>
                       <aside class="col-md-3 col-sm-4">
                        <?php get_sidebar();?>
                      </aside>
          <?php } if($ennova_content_layout == "align-content-right") { ?>
        <!--col-md-9--> 
        <div class="col-md-9">
          <!--row--> 
          <div class="row">
            <?php get_template_part('content','');?> 
          </div>
          <!--/row--> 
        </div>
      <?php } elseif($ennova_content_layout == "align-content-left") { ?>
        <div class="col-md-9">
          <!--row--> 
          <div class="row">
            <?php get_template_part('content','');?> 
          </div>
          <!--/row--> 
        </div>
      <?php } elseif($ennova_content_layout == "full-width-content") { ?>
        <div class="col-md-12">
          <!--row--> 
          <div class="row">
            <?php get_template_part('content','');?> 
          </div>
          <!--/row--> 
        </div>
      <?php } ?>
      <?php if($ennova_content_layout == "align-content-right")  { ?>
        <!--col-md-3-->
        <aside class="col-md-3 col-sm-4">
        <?php get_sidebar();?>
        </aside>
        <!--/col-md-3--> 
      <?php } ?>
      </div>
      <!--/row--> 
    </div>
    <!--/container--> 
  </main>
<?php
get_footer();
?>